#pragma once

// Mostly borrowed from Fix Note icon for SkyUI by 0xC0000005
namespace BookCheck
{
	const char* ExtractFileName(const char* const path, size_t& fileNameLength);

	// Performs a case-sensitive search for 'needle' in the specified string,
	// excluding any matches that are part of a larger word.
	bool ContainsWholeWord(const char* const haystack, const size_t haystackLength, const char* const needle, const size_t needleLength);

	bool StartsWith(const char* haystack, size_t haystackLength, const char* needle, size_t needleLength);

	bool IsNote(const char* const modelFileName, size_t modelFileNameLength);

	bool IsJournal(const char* const modelFileName, size_t modelFileNameLength);

	bool IsBook(RE::TESObjectBOOK* book);
}
